#pragma once
#include "Musikinstrument.h"
#include <string>

class Musiker {
private:
  std::string name;
  Musikinstrument const* instrument;

public:
  Musiker();
  Musiker(std::string name);
  virtual ~Musiker();
  void weiseInstrumentZu(Musikinstrument const* instrument);
  void spielen() const;
  std::string liefereName();
};
